package dot7.PortScanner;
/**
 * DebugFrame.java
 *
 * Created on Dezember  01, 2000
 * @author Ingo_Hegmanns@hp.com
 * @version 1.0
 */
import java.awt.*;
import java.awt.event.*;

public class InfoGUI extends Frame
{
  private TextArea ta = null;
  private Button bClose = null;

  private Font f2 = new Font("TimesRoman", Font.BOLD, 14);
  private Color c1 = new Color(204,204,204);
  private Color c2 = new Color(104,111,129);

  public InfoGUI()
  {
    super("Information");
    setLayout(new BorderLayout());
    ta = new TextArea("",500,500,TextArea.SCROLLBARS_NONE);
    ta.setFont(f2);
    ta.setBackground(c1);
    bClose = new Button("Close");
    Panel pSouth = new Panel();
    pSouth.setBackground(c1);
    pSouth.add(bClose);
    add("Center",ta);
    add("South",pSouth);
  }

  public void destroy()
  {
    ta.setVisible(false);
    ta = null;
  }

  public TextArea ta()
  {  return ta;         }

  public Button bClose()
  {  return bClose; }

  public void reset()
  {
    ta.setText(" ");
  }

  public void viewAbout()
  {
    String s = "";
    s = s + "                       PortScanner \n";
    s = s + "\n";
    s = s + "              written by Ingo Hegmanns \n";
    s = s + "               Contact: Ingo@dot7.de    \n";
    s = s + "\n";
    s = s + " This program may be copied and distributed freely.\n";
    s = s + " !!! There are no guaranties made by the author !!!";
    ta.setText(s);
  }
}
