package dot7.PortScanner;

import java.awt.*;

public class StatusGUI extends Frame
{

  private Font f1 = new Font("TimesRoman", Font.BOLD, 32);
  private Font f2 = new Font("TimesRoman", Font.BOLD, 14);
  private Color c1 = new Color(204,204,204);
  private Color c2 = new Color(104,111,129);

  private TextArea tfStatus = null;

  public void setInvalidData()
  {  tfStatus.setText(" Error: Entered data is invalid. Please try again."); }

  public void setStart(int port, int minport, int maxport)
  {  tfStatus.setText(" Scanning port "+(port-minport+1)+" of "+(maxport-minport+1)); }

  public void setWaitFor(int port, int minport, int maxport)
  {
    tfStatus.setText("Waiting for result of port "+(port-minport+1)+" of "+(maxport-minport+1)
                     +"\n--> This may take a while...");
  }

  public void setFinished()
  {  tfStatus.setText(" Scanning finished. "); }


  public StatusGUI()
  {
    super("Status of scanning");
    Panel pMain = new Panel(new BorderLayout());
    Label lHeader = new Label("Scanning Status:");
    lHeader.setFont(f2);
    lHeader.setBackground(c1);

    tfStatus = new TextArea("Status not set.",2,20,TextArea.SCROLLBARS_NONE);
    tfStatus.setFont(f2);
    tfStatus.setBackground(c2);

    pMain.add("North",lHeader);
    pMain.add("Center",tfStatus);

    add(pMain);
  }
}
