package dot7.PortScanner;

import java.awt.*;
import java.awt.event.*;

public class ResultsGUI extends Frame
{
  private TextArea ta1 = null;
  private TextArea ta2 = null;
  private Button bClose = null;

  private Font f1 = new Font("TimesRoman", Font.BOLD, 32);
  private Font f2 = new Font("TimesRoman", Font.BOLD, 14);
  private Color c1 = new Color(204,204,204);
  private Color c2 = new Color(104,111,129);


  public void setText1(String s)
  { ta1.setText(s); }

  public void addText1(String s)
  { ta1.setText(ta1.getText() + s); }

  public void addText1(int i)
  { ta1.setText(ta1.getText() + i + "\n"); }

  public void setText2(String s)
  { ta2.setText(s); }

  public void addText2(String s)
  { ta2.setText(ta2.getText() + s); }

  public void addText2(int i)
  { ta2.setText(ta2.getText() + i + "\n"); }

  public Button bClose()
  { return bClose; }


  public ResultsGUI()
  {
    super("Scanner Results");
    Panel pMain = new Panel(new BorderLayout());

    Panel pMainCenter = new Panel(new BorderLayout());

    Panel pNorth = new Panel(new GridLayout(1,2));
    Panel pCenter = new Panel(new GridLayout(1,6));

    Label lHeader1 = new Label("Portscanner - Results:");
    lHeader1.setFont(f1);
    lHeader1.setBackground(c1);

    ta1 = new TextArea("",500,500,TextArea.SCROLLBARS_VERTICAL_ONLY);
    ta1.setFont(f2);
    ta1.setBackground(c2);

    ta2 = new TextArea("",500,500,TextArea.SCROLLBARS_VERTICAL_ONLY);
    ta2.setFont(f2);
    ta2.setBackground(c2);


    Label lConnected = new Label("Connected Ports:");
    lConnected.setFont(f2);
    lConnected.setBackground(c1);
    lConnected.setAlignment(Label.CENTER);
    Label lFailed    = new Label("Failed Ports:");
    lFailed.setFont(f2);
    lFailed.setBackground(c1);
    lFailed.setAlignment(Label.CENTER);

    pNorth.add(lConnected);
    pNorth.add(lFailed);
    Label lSpace1 = new Label("");
    lSpace1.setBackground(c1);
    Label lSpace2 = new Label("");
    lSpace2.setBackground(c1);
    Label lSpace3 = new Label("");
    lSpace3.setBackground(c1);
    Label lSpace4 = new Label("");
    lSpace4.setBackground(c1);
    Label lSpace5 = new Label("");
    lSpace5.setBackground(c1);
    pCenter.add(lSpace1);
    pCenter.add(ta1);
    pCenter.add(lSpace2);
    pCenter.add(lSpace3);
    pCenter.add(ta2);
    pCenter.add(lSpace4);
    pMainCenter.add("North",pNorth);
    pMainCenter.add("Center",pCenter);
    pMainCenter.add("South",lSpace5);

    Panel pSouth = new Panel();
    pSouth.setBackground(c1);

    bClose = new Button("Close");
    bClose.setFont(f2);

    pSouth.add(bClose);

    pMain.add("North",lHeader1);
    pMain.add("Center",pMainCenter);
    pMain.add("South",pSouth);

    add(pMain);
  }
}
