package dot7.PortScanner;

import java.net.* ;
import java.io.IOException;

public class Scanner extends Thread
{
  private String  serverIP  = null;
  private int     socketNo  = -1;
  private boolean completed = false;
  private boolean success   = false;


  public void setData(String serverIP, int socketNo)
  {
    this.serverIP = serverIP;
    this.socketNo = socketNo;
  }

  public boolean isCompleted()
  {  return this.completed;  }

  public boolean getSuccess()
  {  return this.success;  }

  public int getSocketNo()
  {  return this.socketNo; }


  public void run()
  {
    boolean connected = true;
    Socket s = null;

    try
    {
      s = new Socket(this.serverIP, this.socketNo);
    }
    catch (Exception e)
    {
      connected = false;
    }
    this.completed = true;
    this.success = connected;
    if (connected)
    {
      try
      {  s.close(); }
      catch (IOException e) {}
    }
  }
}
